# Workflows Object

> Source: https://truto.one/docs/api-reference/admin/workflows/

Schema for the `Workflows` resource in **Admin API**.

## Properties

- **`id`** _(string)_
- **`environment_id`** _(string)_
- **`trigger_name`** _(string)_
- **`config`** _(object, required)_
  Workflow execution configuration.
  - **`run_if`** _(string)_
    JSONata condition evaluated before executing workflow steps.
  - **`steps`** _(array<object>)_
    - **`type`** _(string)_
      Step execution type.
      Allowed: `run`
    - **`action`** _(string)_
      Action executed by the step.
    - **`cron_expression`** _(string)_
      Optional cron expression for scheduled execution.
    - **`config`** _(string)_
      JSONata expression evaluated at runtime to generate the step execution payload.
- **`created_at`** _(string)_
- **`updated_at`** _(string)_

## Methods

- [GET /workflow](/docs/api-reference/admin/workflows/list) — List workflows
- [POST /workflow](/docs/api-reference/admin/workflows/create) — Create workflow
- [GET /workflow/{id}](/docs/api-reference/admin/workflows/get) — Get workflow
- [DELETE /workflow/{id}](/docs/api-reference/admin/workflows/delete) — Delete workflow
